## org.eclipse.datatools.sqltools.sqlbuilder
Class SQLBuilderEditor

    java.lang.Object
      org.eclipse.core.commands.common.EventManager
          org.eclipse.ui.part.WorkbenchPart
              org.eclipse.ui.part.EditorPart
                  org.eclipse.datatools.sqltools.sqlbuilder.SQLBuilderEditor

All Implemented Interfaces:
  org.eclipse.core.runtime.IAdaptable, org.eclipse.core.runtime.IExecutableExtension, IContentChangeListener, org.eclipse.jface.viewers.ISelectionProvider, org.eclipse.ui.IEditorPart, org.eclipse.ui.ISaveablePart, org.eclipse.ui.IWorkbenchPart, org.eclipse.ui.IWorkbenchPart2, org.eclipse.ui.IWorkbenchPart3, org.eclipse.ui.part.IWorkbenchPartOrientation

    public class SQLBuilderEditor

extends org.eclipse.ui.part.EditorPart
implements org.eclipse.jface.viewers.ISelectionProvider, IContentChangeListener

SQL Query Builder content editor.

Field Summary

Fields inherited from interface org.eclipse.ui.IEditorPart
`PROP_DIRTY, PROP_INPUT`

Fields inherited from interface org.eclipse.ui.IWorkbenchPart
`PROP_TITLE`

Constructor Summary
`SQLBuilderEditor()` Constructor for `SQLBuilderEditor`

Method Summary
`void` `addSelectionChangedListener(org.eclipse.jface.viewers.ISelectionChangedListener listener)`
`void` `createPartControl(org.eclipse.swt.widgets.Composite composite)` Create the UI for this `SQLBuilderEditor`.
`void` `dispose()` Overrides `WorkbenchPart.dispose()`
`void` `doSave(org.eclipse.core.runtime.IProgressMonitor progressMonitor)` Implements `EditorPart.doSave(IProgressMonitor)`
`void` `doSaveAs()` Implements `EditorPart.doSaveAs()`
`SQLBuilderActionBarContributor` `getActionBarContributor()`
`java.lang.Object` `getAdapter(java.lang.Class key)`
`org.eclipse.jface.viewers.ISelection` `getSelection()`
`SQLBuilder` `getSQLBuilder()`
`void` `init(org.eclipse.ui.IEditorSite site, org.eclipse.ui.IEditorInput editorInput)` Called during startup.
`boolean` `isDirty()`
`boolean` `isSaveAsAllowed()` Implements `EditorPart.isSaveAsAllowed()`
`void` `notifyContentChange()` Implements `IContentChangeListener.notifyContentChange()`
`void` `refreshConnectionStatus()` Refreshes the status area indicating the connection state.
`void` `removeSelectionChangedListener(org.eclipse.jface.viewers.ISelectionChangedListener listener)`
`void` `setActionBarContributor(SQLBuilderActionBarContributor contributor)` Sets the action contributor associated with this editor.
`void` `setFocus()`
`void` `setResourceRemoved(boolean value)`
`void` `setSelection(org.eclipse.jface.viewers.ISelection selection)`
`void` `updateDirtyStatus()`

Methods inherited from class org.eclipse.ui.part.EditorPart
`getEditorInput, getEditorSite, getTitleToolTip, isSaveOnCloseNeeded, setInitializationData`

Methods inherited from class org.eclipse.ui.part.WorkbenchPart
`addPartPropertyListener, addPropertyListener, getContentDescription, getOrientation, getPartName, getPartProperties, getPartProperty, getSite, getTitle, getTitleImage, removePartPropertyListener, removePropertyListener, setPartProperty, showBusy`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.ui.IWorkbenchPart
`addPropertyListener, getSite, getTitle, getTitleImage, removePropertyListener`

Constructor Detail

### SQLBuilderEditor

    public SQLBuilderEditor()

  Constructor for `SQLBuilderEditor`

Method Detail

### dispose

    public void dispose()

  Overrides `WorkbenchPart.dispose()`

  Specified by:
    `dispose` in interface `org.eclipse.ui.IWorkbenchPart`
  Overrides:
    `dispose` in class `org.eclipse.ui.part.WorkbenchPart`

### createPartControl

    public void createPartControl(org.eclipse.swt.widgets.Composite composite)

  Create the UI for this `SQLBuilderEditor`. Implements `WorkbenchPart.createPartControl(Composite)`

  Specified by:
    `createPartControl` in interface `org.eclipse.ui.IWorkbenchPart`
  Specified by:
    `createPartControl` in class `org.eclipse.ui.part.WorkbenchPart`

### init

    public void init(org.eclipse.ui.IEditorSite site,
                     org.eclipse.ui.IEditorInput editorInput)
              throws org.eclipse.ui.PartInitException

  Called during startup. Implements `EditorPart.init(IEditorSite, IEditorInput)`

  Specified by:
    `init` in interface `org.eclipse.ui.IEditorPart`
  Specified by:
    `init` in class `org.eclipse.ui.part.EditorPart`
  Throws:
    `org.eclipse.ui.PartInitException`

### doSave

    public void doSave(org.eclipse.core.runtime.IProgressMonitor progressMonitor)

  Implements `EditorPart.doSave(IProgressMonitor)`

  Specified by:
    `doSave` in interface `org.eclipse.ui.ISaveablePart`
  Specified by:
    `doSave` in class `org.eclipse.ui.part.EditorPart`
  Parameters:
    `monitor` - the progress monitor to use.

### doSaveAs

    public void doSaveAs()

  Implements `EditorPart.doSaveAs()`

  Specified by:
    `doSaveAs` in interface `org.eclipse.ui.ISaveablePart`
  Specified by:
    `doSaveAs` in class `org.eclipse.ui.part.EditorPart`

### isSaveAsAllowed

    public boolean isSaveAsAllowed()

  Implements `EditorPart.isSaveAsAllowed()`

  Specified by:
    `isSaveAsAllowed` in interface `org.eclipse.ui.ISaveablePart`
  Specified by:
    `isSaveAsAllowed` in class `org.eclipse.ui.part.EditorPart`

### isDirty

    public boolean isDirty()

  Specified by:
    `isDirty` in interface `org.eclipse.ui.ISaveablePart`
  Specified by:
    `isDirty` in class `org.eclipse.ui.part.EditorPart`

### setResourceRemoved

    public void setResourceRemoved(boolean value)

### notifyContentChange

    public void notifyContentChange()

  Implements `IContentChangeListener.notifyContentChange()`

  Specified by:
    `notifyContentChange` in interface `IContentChangeListener`

### updateDirtyStatus

    public void updateDirtyStatus()

### setFocus

    public void setFocus()

  Specified by:
    `setFocus` in interface `org.eclipse.ui.IWorkbenchPart`
  Specified by:
    `setFocus` in class `org.eclipse.ui.part.WorkbenchPart`

### getSQLBuilder

    public SQLBuilder getSQLBuilder()

### getAdapter

    public java.lang.Object getAdapter(java.lang.Class key)

  Specified by:
    `getAdapter` in interface `org.eclipse.core.runtime.IAdaptable`
  Overrides:
    `getAdapter` in class `org.eclipse.ui.part.WorkbenchPart`

### getActionBarContributor

    public SQLBuilderActionBarContributor getActionBarContributor()

### setActionBarContributor

    public void setActionBarContributor(SQLBuilderActionBarContributor contributor)

  Sets the action contributor associated with this editor. This is called by the contributor itself.

### refreshConnectionStatus

    public void refreshConnectionStatus()

  Refreshes the status area indicating the connection state.

### addSelectionChangedListener

    public void addSelectionChangedListener(org.eclipse.jface.viewers.ISelectionChangedListener listener)

  Specified by:
    `addSelectionChangedListener` in interface `org.eclipse.jface.viewers.ISelectionProvider`

### getSelection

    public org.eclipse.jface.viewers.ISelection getSelection()

  Specified by:
    `getSelection` in interface `org.eclipse.jface.viewers.ISelectionProvider`

### removeSelectionChangedListener

    public void removeSelectionChangedListener(org.eclipse.jface.viewers.ISelectionChangedListener listener)

  Specified by:
    `removeSelectionChangedListener` in interface `org.eclipse.jface.viewers.ISelectionProvider`

### setSelection

    public void setSelection(org.eclipse.jface.viewers.ISelection selection)

  Specified by:
    `setSelection` in interface `org.eclipse.jface.viewers.ISelectionProvider`